Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.properties
Class NullPropertiesRO

Direct Known Subclasses:
  NullProperties

public class NullPropertiesRO
implements IPropertiesRO

Represents null property. Useful in some situations when it is neccessary to have some property for test purposes. This is the singleton class so it cannot be instantiated. In order to get access to it use getNullPropertiesRO method which returns the only default instance.

Author:
  TogetherSoft

Constructor Summary
`protected` | `NullPropertiesRO()`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Stub method.
`static NullPropertiesRO` | `getNullPropertiesRO()` Return the only instance of this class.
`String` | `getProperty(String key, String defaultValue)` Stub method.
`Enumeration` | `propertyNames()` Return empty enumeration of names.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Stub method.

Constructor Detail

### NullPropertiesRO

    protected NullPropertiesRO()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Stub method. Does nothing.

### getNullPropertiesRO

    public static NullPropertiesRO getNullPropertiesRO()

  Return the only instance of this class.

### getProperty

    public String getProperty(String key, String defaultValue)

  Stub method. Return given `defaultValue`. `key` is not used.

### propertyNames

    public Enumeration propertyNames()

  Return empty enumeration of names.
  See Also:
    EmptyEnumeration

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Stub method. Does nothing.

Association Links

to Class com.togethersoft.openapi.util.properties.NullPropertiesRO

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD